// PDF.HSC
//
// Copyright (c) 2000 Sander van der Wal.  All rights reserved.
//
// This file contains the default (English) strings to be translated
//
// $Id: pdf.hsc 1.3 2000-09-24 21:14:09+02 svdwal Exp svdwal $
//
// $Log: pdf.hsc $
// Revision 1.3  2000-09-24 21:14:09+02  svdwal
// Changes to 'About' dialog
//
// Revision 1.2  2000-09-21 14:05:47+02  svdwal
// Go to menu is back
// Render tab added
//
// Revision 1.1  2000-09-17 13:18:17+02  svdwal
// Initial checkin
//

//////////////////////////////////////////////////////////////////////////////
//
// Toolbar
//
//////////////////////////////////////////////////////////////////////////////

#define TOOLBAR_BUTTON_1  "Prev.\npage"
#define TOOLBAR_BUTTON_2  "Next\npage"
#define TOOLBAR_BUTTON_3  "Find"
#define TOOLBAR_BUTTON_4  "Go to\npage"

//////////////////////////////////////////////////////////////////////////////
//
// Toolband
//
//////////////////////////////////////////////////////////////////////////////

#define TOOLBAND_PAGE     "Page"


//////////////////////////////////////////////////////////////////////////////
//
// Menu bar
//
//////////////////////////////////////////////////////////////////////////////

#define MENUBAR_FILE  "File"
#define MENUBAR_FIND  "Find"
#define MENUBAR_VIEW  "View"
#define MENUBAR_GO_TO "Go to"
#define MENUBAR_TOOLS "Tools"

//////////////////////////////////////////////////////////////


#define FILE_OPEN_FILE     "Open file"<ELLIPSIS>
#define FILE_DOCUMENT_INFO "Document info"<ELLIPSIS>
#define FILE_MORE          "More"
#define FILE_CLOSE         "Close"

//////////////////////////////////////////////////////////////

#define MORE_EXPORT_AS_TEXT_FILE "Export as text file"<ELLIPSIS>

//////////////////////////////////////////////////////////////

#define FIND_FIND      "Find"<ELLIPSIS>
#define FIND_FIND_NEXT "Find next"
#define FIND_GO_TO     "Go to"<ELLIPSIS>

//////////////////////////////////////////////////////////////

#define VIEW_ZOOM_IN          "Zoom in"
#define VIEW_ZOOM_OUT         "Zoom out"
#define VIEW_SET_VIEW         "Set view"<ELLIPSIS>
#define VIEW_SHOW_TOOLBAR     "Show toolbar"
#define VIEW_SHOW_TOP_TOOLBAR "Show top toolbar"
#define VIEW_MAXIMIZE_VIEW    "Maximize view"

//////////////////////////////////////////////////////////////

#define GO_TO_FIRST_PAGE "First page"
#define GO_TO_PREV_PAGE  "Previous page"
#define GO_TO_NEXT_PAGE  "Next page"
#define GO_TO_LAST_PAGE  "Last page"

//////////////////////////////////////////////////////////////

#define TOOLS_PREFERENCES  "Preferences"<ELLIPSIS>
#define TOOLS_HELP_ON_PDF  "Help on Pdf"<ELLIPSIS>
#define TOOLS_ABOUT_PDF    "About Pdf"<ELLIPSIS>

//////////////////////////////////////////////////////////////////////////////
//
// CPdfDocInfoDialog
//
//////////////////////////////////////////////////////////////////////////////

#define DOCINFODIALOG_TITLE "Document information"

// General tab
#define DOCINFODIALOG_TITLE_PROMPT    "Title"
#define DOCINFODIALOG_SUBJECT_PROMPT  "Subject"
#define DOCINFODIALOG_AUTHOR_PROMPT   "Author"
#define DOCINFODIALOG_KEYWORDS_PROMPT "Keywords"

// tabs
#define DOCINFODIALOG_PAGES_GENERAL  "General"
#define DOCINFODIALOG_PAGES_CREATION "Creation"
#define DOCINFODIALOG_PAGES_SECURITY "Security"
#define DOCINFODIALOG_PAGES_ACCESS   "Access"
#define DOCINFODIALOG_PAGES_MISC     "Misc."

// Creation tab
#define DOCINFODIALOG_CREATOR_PROMPT    "Creator"
#define DOCINFODIALOG_PRODUCER_PROMPT   "Producer"
#define DOCINFODIALOG_CREATED_PROMPT    "Created on"
#define DOCINFODIALOG_MODIFIED_PROMPT   "Modified on"

// encrypted tab
#define DOCINFODIALOG_ENCRYPTED_PROMPT       "Encrypted"
#define DOCINFODIALOG_OPENPASSWORD_PROMPT    "Open password"
#define DOCINFODIALOG_SECURITYPASSWORD_PROMPT "Security password"

// access tab
#define DOCINFODIALOG_PRINTING_PROMPT  "Printing"
#define DOCINFODIALOG_CHANGING_PROMPT  "Changing the document"
#define DOCINFODIALOG_SELECTING_PROMPT "Selecting text and graphics"
#define DOCINFODIALOG_ADDING_PROMPT    "Adding or changing notes or form fields"

// misc tab
#define DOCINFODIALOG_OPTIMIZED_PROMPT  "Optimized"
#define DOCINFODIALOG_FILESIZE_PROMPT   "File size"
#define DOCINFODIALOG_FILESIZE_TRAILER  "bytes"


//////////////////////////////////////////////////////////////////////////////
//
// Searching dialog
//
//////////////////////////////////////////////////////////////////////////////

#define SEARCHINGDIALOG_TITLE "Searching"

#define SEARCHINGDIALOG_PAGE_PROMPT "Page"


///////////////////////////////////////////////////////////////////////////////
//
// Error dialog
//
//////////////////////////////////////////////////////////////////////////////

#define ERRORDIALOG_TITLE "An error has occured           "


//////////////////////////////////////////////////////////////////////////////
//
// Set view dialog and Preferences dialog
//
//////////////////////////////////////////////////////////////////////////////

#define SETVIEWDIALOG_TITLE "Set view"

// tabs
#define SETVIEWDIALOG_PAGES_DOCUMENT   "Document"
#define SETVIEWDIALOG_PAGES_SCROLLBARS "Scrollbars"
#define SETVIEWDIALOG_PAGES_RENDER     "Render"

// document tab
#define SETVIEWDIALOG_ZOOMFACTOR_PROMPT  "Zoom"
#define SETVIEWDIALOG_ACCURATE_PROMPT    "Accurate"
#define SETVIEWDIALOG_ROTATE_PROMPT      "Rotate"
#define SETVIEWDIALOG_ROTATE_TRAILER     "Degrees"
#define SETVIEWDIALOG_SHOWLINKS_PROMPT   "Show links"

// scrollbars tab
#define SETVIEWDIALOG_HBAR_PROMPT        "Horizontal scroll bar"
#define SETVIEWDIALOG_VBAR_PROMPT        "Vertical scroll bar"

// render tab
#define SETVIEWDIALOG_TEXT_PROMPT          "Text"
#define SETVIEWDIALOG_LINE_DRAWINGS_PROMPT "Line drawings"
#define SETVIEWDIALOG_IMAGES_PROMPT        "Images"
#define SETVIEWDIALOG_DITHER_IMAGES_PROMPT "Dither images"
#define SETVIEWDIALOG_CLIP_TO_PATH_PROMPT  "Mask"

#define ZOOMLIST__33   "   33"
#define ZOOMLIST__50   "   50"
#define ZOOMLIST__66   "   66"
#define ZOOMLIST__75   "   75"
#define ZOOMLIST__87   "   87"
#define ZOOMLIST_100   "  100"
#define ZOOMLIST_125   "  125"
#define ZOOMLIST_150   "  150"
#define ZOOMLIST_200   "  200"
#define ZOOMLIST_300   "  300"
#define ZOOMLIST_400   "  400"
#define ZOOMLIST_PAGE  " Page"
#define ZOOMLIST_WIDTH "Width"

#define ROTATELIST___0 "  0"
#define ROTATELIST__90 " 90"
#define ROTATELIST_180 "180"
#define ROTATELIST_270 "270"

#define SCROLLBARVISOFF  "Off"
#define SCROLLBARVISON   "On"
#define SCROLLBARVISAUTO "Auto"

#define IMAGEVISOFF     "Off"
#define IMAGEVISON      "On"
#define IMAGEVISOUTLINE "Outline"

// preferences dialog
#define PREFERENCESDIALOG_TITLE "Preferences"

// extra tab
#define PREFERENCESDIALOG_PAGES_VIEW       "View"

// view tab
#define PREFERENCESDIALOG_TOOLBAR_PROMPT      "Show toolbar"
#define PREFERENCESDIALOG_TOOLBAND_PROMPT     "Show top toolband"
#define PREFERENCESDIALOG_MAXIMIZEVIEW_PROMPT "Maximize view"

//////////////////////////////////////////////////////////////////////////////
//
// About dialog
//
//////////////////////////////////////////////////////////////////////////////

#define ABOUTDIALOG_TITLE "About Pdf"

#define ABOUTDIALOG_VERSION_PROMPT           "Version"
#define ABOUTDIALOG_PDFVERSION_PARTIALLY_TXT "(partially)"
#define ABOUTDIALOG_AUTHOREPOCPORT_PROMPT    "Author"
#define ABOUTDIALOG_AUTHOREPOCPORT_TXT       <COPYRIGHT>" 1999-2000 Sander van der Wal"
#define ABOUTDIALOG_ORIGINALAUTHOR_PROMPT    "Original author"
#define ABOUTDIALOG_ORIGINALAUTHOR_TXT       <COPYRIGHT>" 1997-1999 Derek B. Noonburg"
#define ABOUTDIALOG_DECRYPTION_PROMPT        "Decryption"
#define ABOUTDIALOG_DECRYPTION_TXT           "(originally) by Leo J.B. Smiers"

#define ABOUTDIALOG_PAGES_GENERAL     "General"
#define ABOUTDIALOG_PAGES_CONTACT     "Contact"
#define ABOUTDIALOG_PAGES_LICENSEINFO "License info"

#define ABOUTDIALOG_WEBSITE_PROMPT "Website"
#define ABOUTDIALOG_WEBSITE_TXT    "http://www.xs4all.nl/~svdwal/Pdf/Pdf.htm"
#define ABOUTDIALOG_EMAIL_PROMPT   "E-mail"
#define ABOUTDIALOG_EMAIL_TXT      "svdwal@xs4all.nl"

// this is NOT the license itself

#define ABOUTDIALOG_LICENSEINFO1_TXT  "Pdf comes with ABSOLUTELY NO WARRANTY; for details,"
#define ABOUTDIALOG_LICENSEINFO2_TXT  "read the `License` in `Tools|Help on Pdf"<ELLIPSIS>"`"
#define ABOUTDIALOG_LICENSEINFO3_TXT  "This is free software, and you are welcome to redistribute"
#define ABOUTDIALOG_LICENSEINFO4_TXT  "it under certain conditions; read the `License` in "
#define ABOUTDIALOG_LICENSEINFO5_TXT  "`Tools|Help on Pdf"<ELLIPSIS>"` for details."
#define ABOUTDIALOG_LICENSEINFO6_TXT  ""
#define ABOUTDIALOG_LICENSEINFO7_TXT  ""

// Catalog.cpp
#define buf_catalog_object_is_wrong_type___s_ \
           "Catalog object is wrong type (%s)"

#define buf_top_level_pages_object_is_wrong_type___s_ \
           "Top-level pages object is wrong type (%s)"

#define buf_page_count_in_top_level_pages_object_is_wrong_type___s_ \
           "Page count in top-level pages object is wrong type (%s)"

#define buf_kids_object__page__d__is_wrong_type___s_ \
           "Kids object (page %d) is wrong type (%s)"

#define buf_kid_object__page__d__is_wrong_type___s_ \
           "Kid object (page %d) is wrong type (%s)"

#define buf_bad_named_destination_value \
           "Bad named destination value"

// Error.cpp
#define buf_error     "Error"

#define buf_error_at  "Error (%d)"

// FbsBitmapOutputDev
#define buf_couldn_t_create_bitmap \
           "Couldn't create bitmap"

#define buf_unknown_symbolic_font___s_ \
           "Unknown symbolic font '%s'"

#define buf_drawing \
           "Drawing"<ELLIPSIS>

// Fontfile.cpp
#define buf_got_type_1c_initialrandomseed \
           "Got Type 1C InitialRandomSeed"

#define buf_unknown_type_1c_private_dict_entry__04x \
           "Unknown Type 1C private dict entry %04x"

#define buf_unimplemented_type_2_subrs \
           "Unimplemented Type 2 subrs"

#define buf_wrong_number_of_args___d__to_type_2_hflex \
           "Wrong number of args (%d) to Type 2 hflex"

#define buf_wrong_number_of_args___d__to_type_2_flex \
           "Wrong number of args (%d) to Type 2 flex"

#define buf_wrong_number_of_args___d__to_type_2_hflex1 \
           "Wrong number of args (%d) to Type 2 hflex1"

#define buf_Wrong_number_of_args___d__to_Type_2_flex1 \
           "Wrong number of args (%d) to Type 2 flex1"

#define buf_unimplemented_type_2_charstring_op__12__d \
           "Unimplemented Type 2 charstring op: 12.%d"

#define buf_illegal_type_2_charstring_op__12__d \
           "Illegal Type 2 charstring op: 12.%d"

#define buf_wrong_number_of_args___d__to_type_2_hintmask_vstemhm \
           "Wrong number of args (%d) to Type 2 hintmask/vstemhm"

#define buf_wrong_number_of_args___d__to_type_2_cntrmask_vstemhm \
           "Wrong number of args (%d) to Type 2 cntrmask/vstemhm"

#define buf_wrong_number_of_args___d__to_type_2_vmoveto \
           "Wrong number of args (%d) to Type 2 vmoveto"

#define buf_wrong_number_of_args___d__to_type_2_rlineto \
           "Wrong number of args (%d) to Type 2 rlineto"

#define buf_wrong_number_of_args___d__to_type_2_hlineto \
           "Wrong number of args (%d) to Type 2 hlineto"

#define buf_wrong_number_of_args___d__to_type_2_vlineto \
           "Wrong number of args (%d) to Type 2 vlineto"

#define buf_wrong_number_of_args___d__to_type_2_rrcurveto \
           "Wrong number of args (%d) to Type 2 rrcurveto"

#define buf_wrong_number_of_args___d__to_type_2_endchar \
           "Wrong number of args (%d) to Type 2 endchar"

#define buf_wrong_number_of_args___d__to_type_2_rmoveto \
           "Wrong number of args (%d) to Type 2 rmoveto"

#define buf_wrong_number_of_args___d__to_type_2_hmoveto \
           "Wrong number of args (%d) to Type 2 hmoveto"

#define buf_wrong_number_of_args___d__to_type_2_rcurveline \
           "Wrong number of args (%d) to Type 2 rcurveline"

#define buf_wrong_number_of_args___d__to_type_2_rlinecurve \
           "Wrong number of args (%d) to Type 2 rlinecurve"

#define buf_wrong_number_of_args___d__to_type_2_vvcurveto \
           "Wrong number of args (%d) to Type 2 vvcurveto"

#define buf_wrong_number_of_args___d__to_type_2_hhcurveto \
           "Wrong number of args (%d) to Type 2 hhcurveto"

#define buf_wrong_number_of_args___d__to_type_2_vhcurveto \
           "Wrong number of args (%d) to Type 2 vhcurveto"

#define buf_wrong_number_of_args___d__to_type_2_hvcurveto \
           "Wrong number of args (%d) to Type 2 hvcurveto"

#define buf_wrong_number_of_args___d__to_type_2_hstem \
           "Wrong number of args (%d) to Type 2 hstem"

#define buf_wrong_number_of_args___d__to_type_2_vstem \
           "Wrong number of args (%d) to Type 2 vstem"

#define buf_wrong_number_of_args___d__to_type_2_hstemhm \
           "Wrong number of args (%d) to Type 2 hstemhm"

#define buf_wrong_number_of_args___d__to_type_2_vstemhm \
           "Wrong number of args (%d) to Type 2 vstemhm"

#define buf_type_2_fixed_point_constant_out_of_range \
           "Type 2 fixed point constant out of range"

// Gfx.cpp
#define buf_weird_page_contents \
           "Weird page contents"

#define buf_too_many_args_in_content_stream \
           "Too many args in content stream"

#define buf_leftover_args_in_content_stream \
           "Leftover args in content stream"

#define buf_unknown_operator___s_ \
           "Unknown operator '%s'"

#define buf_wrong_number_of_args___d__to_operator___s_ \
           "Wrong number of args (%d) to operator '%s'"

#define buf_too_many_args___d__to_operator___s_ \
           "Too many args (%d) to operator '%s'"

#define buf_arg___d_to_operator___s__is_wrong_type___s_ \
           "Arg #%d to operator '%s' is wrong type (%s)"

#define buf_unknown_font_tag___s_ \
           "Unknown font tag '%s'"

#define buf_xobject___s__is_unknown \
           "XObject '%s' is unknown"

#define buf_bad_colorspace \
           "Bad colorspace"

#define buf_no_current_point_in_lineto \
           "No current point in lineto"

#define buf_no_current_point_in_curveto \
           "No current point in curveto"

#define buf_no_current_point_in_curveto1 \
           "No current point in curveto1"

#define buf_no_current_point_in_curveto2 \
           "No current point in curveto2"

#define buf_no_current_point_in_closepath \
           "No current point in closepath"

#define buf_no_path_in_stroke \
           "No path in stroke"

#define buf_no_path_in_closepath_stroke \
           "No path in closepath/stroke"

#define buf_no_path_in_fill \
           "No path in fill"

#define buf_no_path_in_eofill \
           "No path in eofill"

#define buf_no_path_in_fill_stroke \
           "No path in fill/stroke"

#define buf_no_path_in_closepath_fill_stroke \
           "No path in closepath/fill/stroke"

#define buf_no_path_in_eofill_stroke \
           "No path in eofill/stroke"

#define buf_no_font_in_show \
           "No font in show"

#define buf_no_font_in_move_show \
           "No font in move/show"

#define buf_no_font_in_move_set_show \
           "No font in move/set/show"

#define buf_no_font_in_show_space \
           "No font in show/space"

#define buf_element_of_show_space_array_must_be_number_or_string \
           "Element of show/space array must be number or string"

#define buf_xobject___s__is_wrong_type \
           "XObject '%s' is wrong type"

#define buf_unknown_xobject_subtype___s_ \
           "Unknown XObject subtype '%s'"

#define buf_xobject_subtype_is_missing_or_wrong_type \
           "XObject subtype is missing or wrong type"

#define buf_bad_image_parameters \
           "Bad image parameters"

#define buf_unknown_form_type \
           "Unknown form type"

#define buf_bad_form_matrix \
           "Bad form matrix"

#define buf_bad_form_bounding_box \
           "Bad form bounding box"

#define buf_inline_image_dictionary_key_must_be_a_name_object \
           "Inline image dictionary key must be a name object"

#define buf_end_of_file_in_inline_image \
           "End of file in inline image"

#define buf_internal__got__id__operator \
           "Internal: got 'ID' operator"

#define buf_internal__got__ei__operator \
           "Internal: got 'EI' operator"

#define buf_encountered__d0__operator_in_content_stream \
           "Encountered 'd0' operator in content stream"

#define buf_encountered__d1__operator_in_content_stream \
           "Encountered 'd1' operator in content stream"

// Gfx.cpp
#define buf_wrong_type_in_font_encoding_resource_differences___s_ \
           "Wrong type in font encoding resource differences (%s)"

#define buf_internal__external_font_file_vanished \
           "Internal: external font file vanished"

#define buf_error_reading_external_font_file \
           "Error reading external font file"

#define buf_embedded_font_file_is_not_a_stream \
           "Embedded font file is not a stream"

#define buf_bad_descendantfonts_entry_for_type_0_font \
           "Bad DescendantFonts entry for Type 0 font"

#define buf_bad_descendant_font_of_type_0_font \
           "Bad descendant font of Type 0 font"

#define buf_bad_cidsysteminfo_in_type_0_font_descendant \
           "Bad CIDSystemInfo in Type 0 font descendant"

#define buf_pdf_was_compiled_without_japanese_font_support \
           "Pdf was compiled without Japanese font support"

#define buf_unknown_type_0_character_set___s__s \
           "Unknown Type 0 character set: %s-%s"

#define buf_unknown_type_0_character_set \
           "Unknown Type 0 character set"

#define buf_bad_widths_array_in_type_0_font \
           "Bad widths array in Type 0 font"

#define buf_bad_widths__w2__array_in_type_0_font \
           "Bad widths (W2) array in Type 0 font"

#define buf_bad_encoding_for_type_0_font \
           "Bad encoding for Type 0 font"

#define buf_unknown_encoding___s__for_adobe_japan1_2_font \
           "Unknown encoding '%s' for Adobe-Japan1-2 font"

#define buf_font_resource_is_not_a_dictionary \
           "font resource is not a dictionary"

// GfxState.cpp
#define buf_expected_function_dictionary \
           "Expected function dictionary"

#define buf_unknown_function_type \
           "Unknown function type"

#define buf_function_is_missing_domain \
           "Function is missing domain"

#define buf_functions_with_more_than_1_input_are_unsupported \
           "Functions with more than 1 input are unsupported"

#define buf_illegal_value_in_function_domain_array \
           "Illegal value in function domain array"

#define buf_function_is_missing_range \
           "Function is missing range"

#define buf_functions_with_more_than_4_outputs_are_unsupported \
           "Functions with more than 4 outputs are unsupported"

#define buf_illegal_value_in_function_range_array \
           "Illegal value in function range array"

#define buf_function_has_missing_or_invalid_size_array \
           "Function has missing or invalid size array"

#define buf_illegal_value_in_function_size_array \
           "Illegal value in function size array"

#define buf_function_has_missing_or_invalid_bitspersample \
           "Function has missing or invalid BitsPerSample"

#define buf_illegal_value_in_function_encode_array \
           "Illegal value in function encode array"

#define buf_illegal_value_in_function_decode_array \
           "Illegal value in function decode array"

// Lexer.cpp
#define buf_unterminated_string \
           "Unterminated string"

#define buf_illegal_digit_in_hex_char_in_name \
           "Illegal digit in hex char in name"

#define buf_name_token_too_long \
           "Name token too long"

#define buf_unterminated_hex_string \
           "Unterminated hex string"

#define buf_illegal_character___02x__in_hex_string \
           "Illegal character <%02x> in hex string"

#define buf_illegal_character___c_ \
           "Illegal character '%c'"

#define buf_command_token_too_long \
           "Command token too long"

// Link.cpp
#define buf_bad_annotation_destination \
           "Bad annotation destination"

#define buf_bad_annotation_destination_position \
           "Bad annotation destination position"

#define buf_unknown_annotation_destination_type \
           "Unknown annotation destination type"

#define buf_illegal_annotation_destination \
           "Illegal annotation destination"

#define buf_bad_launch_type_link_action \
           "Bad launch-type link action"

#define buf_illegal_uri_type_link \
           "Illegal URI-type link"

#define buf_annotation_rectangle_is_wrong_type \
           "Annotation rectangle is wrong type"

#define buf_bad_annotation_rectangle \
           "Bad annotation rectangle"

#define buf_bad_annotation_border \
           "Bad annotation border"

#define buf_bad_annotation_action \
           "Bad annotation action"

#define buf_missing_annotation_destination_action \
           "Missing annotation destination/action"

#define buf_illegal_file_spec_in_link \
           "Illegal file spec in link"

// Page.cpp
#define buf_page_annotations_object__page__d__is_wrong_type___s_ \
           "Page annotations object (page %d) is wrong type (%s)"

#define buf_page_contents_object__page__d__is_wrong_type___s_ \
           "Page contents object (page %d) is wrong type (%s)"

// Parser.cpp
#define buf_end_of_file_inside_array \
           "End of file inside array"

#define buf_dictionary_key_must_be_a_name_object \
           "Dictionary key must be a name object"

#define buf_end_of_file_inside_dictionary \
           "End of file inside dictionary"

#define buf_bad__length__attribute_in_stream \
           "Bad 'Length' attribute in stream"

#define buf_missing__endstream_ \
           "Missing 'endstream'"

// Pdf.cpp
#define buf_open_a_document \
           "Open a document"

#define buf_copying_of_text_from_this_document_is_not_allowed \
           "Copying of text from this document is not allowed"

#define buf_default_path \
           "C:\\Documents\\"

#define buf_export_as_text_dialog_title \
           "Export as text"

#define buf_opening_doc \
           "Loading"<ELLIPSIS>

#define buf_searching \
           "Searching"<ELLIPSIS>

#define buf_nothing_found \
           "Nothing found"

// PdfAppUi.cpp
#define buf_image \
           "Image"<ELLIPSIS>

// PDFDoc.cpp
#define buf_couldn_t_open_file___s_ \
           "Couldn't open file '%s'"

#define buf_couldn_t_read_xref_table \
           "Couldn't read xref table"

#define buf_couldn_t_read_page_catalog \
           "Couldn't read page catalog"

// Stream.cpp
#define buf_internal__called_getrawchar___on_non_predictor_stream \
           "Internal: called getRawChar() on non-predictor Stream"

#define buf_internal__called_setpos___on_non_fileStream \
           "Internal: called setPos() on non-FileStream"

#define buf_bad_filter_name \
           "Bad filter name"

#define buf_bad__Filter__attribute_in_stream \
           "Bad 'Filter' attribute in stream"

#define buf_unknown_filter___s_ \
           "Unknown filter '%s'"

#define buf_no_fileStream__no_decryption \
           "No FileStream, no decryption"

#define buf_may_not_be_a_pdf_file__continuing_anyway_ \
           "May not be a PDF file (continuing anyway)"

#define buf_pdf_version__s____pdf_supports_version__s__continuing_anyway_ \
           "PDF version %s -- Pdf supports version %s (continuing anyway)"

#define buf_illegal_character___02x__in_asciihex_stream \
           "Illegal character <%02x> in ASCIIHex stream"

#define buf_couldn_t_decompress_tempfile \
           "Couldn't decompress tempfile"

#define buf_bad_2d_code__04x_in_ccittfax_stream \
           "Bad 2D code %04x in CCITTFax stream"

#define buf_ccittfax_row_is_wrong_length___d_ \
           "CCITTFax row is wrong length (%d)"

#define buf_bad_rtc_code_in_ccittfax_stream \
           "Bad RTC code in CCITTFax stream"

#define buf_bad_two_dim_code___04x__in_ccittfax_stream \
           "Bad two dim code (%04x) in CCITTFax stream"

#define buf_bad_white_code___04x__in_ccittfax_stream \
           "Bad white code (%04x) in CCITTFax stream"

#define buf_bad_black_code___04x__in_ccittfax_stream \
           "Bad black code (%04x) in CCITTFax stream"

#define buf_bad_dct_data__incorrect_restart_marker \
           "Bad DCT data: incorrect restart marker"

#define buf_bad_huffman_code_in_dct_stream \
           "Bad Huffman code in DCT stream"

#define buf_bad_dct_data__missing_00_after_ff \
           "Bad DCT data: missing 00 after ff"

#define buf_bad_dct_header \
           "Bad DCT header"

#define buf_unknown_dct_marker___02x_ \
           "Unknown DCT marker <%02x>"

#define buf_bad_dct_precision__d \
           "Bad DCT precision %d"

#define buf_bad_dct_scan_info_block \
           "Bad DCT scan info block"

#define buf_bad_dct_component_id_in_scan_info_block \
           "Bad DCT component ID in scan info block"

#define buf_bad_dct_quantization_table \
           "Bad DCT quantization table"

#define buf_bad_dct_huffman_table \
           "Bad DCT Huffman table"

#define buf_bad_dct_restart_interval \
           "Bad DCT restart interval"

#define buf_bad_dct_adobe_app14_marker \
           "Bad DCT Adobe APP14 marker"

#define buf_bad_dct_trailer \
           "Bad DCT trailer"

#define buf_unknown_compression_method_in_flate_stream \
           "Unknown compression method in flate stream"

#define buf_bad_fcheck_in_flate_stream \
           "Bad FCHECK in flate stream"

#define buf_fdict_bit_set_in_flate_stream \
           "FDICT bit set in flate stream"

#define buf_unexpected_end_of_file_in_flate_stream \
           "Unexpected end of file in flate stream"

#define buf_bad_uncompressed_block_length_in_flate_stream \
           "Bad uncompressed block length in flate stream"

#define buf_bad_block_header_in_flate_stream \
           "Bad block header in flate stream"

#define buf_bad_dynamic_code_table_in_flate_stream \
           "Bad dynamic code table in flate stream"

#define buf_bad_code___04x__in_flate_stream \
           "Bad code (%04x) in flate stream"

// TextOutputDev.cpp
#define buf_unsupported_adobe_japan1_2_character___d \
           "Unsupported Adobe-Japan1-2 character: %d"

#define buf_couldn_t_open_text_file___s_ \
           "Couldn't open text file '%s'"

// unlzw.c
#define buf_lzw__corrupt_input \
           "LZW: corrupt input"

#define buf_lzw__unexpected_end_of_file \
           "LZW: unexpected end of file"

// XRef.cpp
#define buf_pdf_file_is_damaged___attempting_to_reconstruct_xref_table___ \
           "PDF file is damaged - attempting to reconstruct xref table..."

#define buf_couldn_t_find_trailer_dictionary \
           "Couldn't find trailer dictionary"

#define buf_no_filter_specified__assume_standard_filter \
           "No filter specified, assume Standard filter"

#define buf_file_is_encrypted_with_a_non_standard_filter \
           "File is encrypted with a non Standard Filter.\nPdf supports only the standard encryption filter"

#define buf_pdf_file_is_encrypted_with_a_user_password \
           "pdf file is encrypted with a user password.\nPdf does not support passwords please contact the author of the pdf file\nand ask him for a non password encrypted version"

#define buf_no_permissions_specified \
           "No permissions specified"

#define buf_no_user_password_specified \
           "No user password specified"

#define buf_no_owner_password_specified \
           "No owner password specified"

#define buf_no_id_specified \
           "No ID specified"

#define buf_no_id_elements_specified \
           "No ID elements specified"
