// PDFFileRecognizer.h
//
// Copyright (c) 2000 Sander van der Wal

#ifndef __PDFRECOG_H__
#define __PDFRECOG_H__

// $Id: PdfFileRecognizer.h 1.1 2000-09-17 15:11:31+02 svdwal Exp svdwal $

#ifndef __APADEF_H__
#include <apadef.h>
#endif
#ifndef __APAFLREC_H__
#include <apaflrec.h>
#endif

const TInt KUidPDFFileRecognizerValue = 0x10005EE8;
const TUid KUidPDFFileRecognizer = {KUidPDFFileRecognizerValue};

class CPDFFileRecognizer : public CApaFileRecognizerType
{
public:
  TThreadId RunL(TApaCommand aCommand, const TDesC* aDocFileName=0, const TDesC* aTailEnd=0) const;

private:
  TRecognizedType DoRecognizeFileL(RFs& aFs, TUidType aType);
};

#endif