// PdfDocument.h
//
// Copyright (c) 1999-2000 Sander van der Wal.  All rights reserved.

#ifndef PDFDOCUMENT_H_
#define PDFDOCUMENT_H_

// $Id: pdfdocument.h 1.1 2000-09-17 13:18:11+02 svdwal Exp svdwal $

// EIKON
#include <eikdoc.h>

class CPdfAppUi;

// --o PDFLib
class PDFDoc;


////////////////////////////////////////////////////////////////////////////
//
// CPdfDocument
//
/////////////////////////////////////////////////////////////////////////////

class CPdfDocument: public CEikDocument
{
public:
  CPdfDocument(CEikApplication& aApp);
  static CPdfDocument* NewL(CEikApplication& aApp);
  ~CPdfDocument();
  
// -- CEikDocument
private:
  CEikAppUi* CreateAppUiL();
  CFileStore* OpenFileL(TBool aDoOpen,const TDesC& aFilename,RFs& aFs);

// -- CPdfDocument
public:
  void DoOpenFileL(const TFileName& aFileName);
  PDFDoc* Model() const;

private:
  PDFDoc* iDoc;
};


#endif
