/*
 * gmem.c
 *
 * Memory routines with out-of-memory checking.
 *
 * Copyright 1996 Derek B. Noonburg
 */
/*
 * Ported to EPOC by Sander van der Wal
 *
 * $Log: Gmem.cpp $
 * Revision 1.1  2000-09-17 13:35:50+02  svdwal
 * Initial checkin
 *
 * Revision 1.1  2000-06-13 22:39:37+02  svdwal
 * - ported
 *
 */

#include "gmem.h"

#ifndef __E32STD_H__
#include <e32std.h>
#endif

EXPORT_C char *copyStringL(const char *s) {
  char *s1;

  TInt len = User::StringLength((const TUint8 *)s)+1;
  s1 = (char *)User::AllocL(len);
  Mem::Copy(s1, s, len);
  return s1;
}
